Bug 197838 - [FreeType] Some character sequences with a variation selector are not rendered
Summary: [FreeType] Some character sequences with a variation selector are not rendered
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk, InRadar
Depends on:
Blocks:
 
Reported: 2019-05-13 07:58 PDT by Carlos Garcia Campos
Modified: 2019-05-16 02:32 PDT (History)
5 users (show)

See Also:


Attachments
Patch (9.82 KB, patch)
2019-05-13 08:12 PDT, Carlos Garcia Campos
mcatanzaro: review+
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews212 for win-future (13.60 MB, application/zip)
2019-05-14 00:34 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2019-05-13 07:58:40 PDT
We get the invalid glyph instead. See http://mts.io/2015/04/21/unicode-symbol-render-text-emoji/ In the table at the end the Emoji and Text columns are not correctly rendered. It happens also when copying an emoji from GtkEmojiChooser and pasting in WebKit text field, because GTK appends U+FE0F to all emojis to force the emoji style.
Comment 1 Carlos Garcia Campos 2019-05-13 08:12:59 PDT
Created attachment 369732 [details]
Patch

I've tried to make a test for this, but it's not easy, at least not for GTK, because I get different width/height offset when rendering directly with emoji font than when falling back to it. I don't know why. The thing is that a ref test always fails with very few pixels difference.
Comment 2 Build Bot 2019-05-14 00:34:08 PDT Comment hidden (spam)
Comment 3 Build Bot 2019-05-14 00:34:10 PDT Comment hidden (spam)
Comment 4 Michael Catanzaro 2019-05-14 05:54:13 PDT
Comment on attachment 369732 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=369732&action=review

> Source/WebCore/ChangeLog:11
> +        style. We need to take into account the variaiton selector when checking if a font can render a combining

variation
Comment 5 Carlos Garcia Campos 2019-05-16 02:31:23 PDT
Committed r245393: <https://trac.webkit.org/changeset/245393>
Comment 6 Radar WebKit Bug Importer 2019-05-16 02:32:21 PDT
<rdar://problem/50846399>